#import <Foundation/Foundation.h>

int (^add)(int, int) =
	^(int a, int b) 
	{
		return a + b;
	};


void(^getCounter(void))(void)
{
	static int counter;
	int c = counter;
	void(^block)(void) = ^(void) 
	{
		printf("current: %d ", counter);
		printf("old: %d\n", c);
	};
	counter++;
	return Block_copy(block);
}

int main(void)
{
	void(^block)(void) = getCounter();
	block(); block();
	void(^block2)(void) = getCounter();
	block2(); block2();
	block(); block();
	return 0;
}
